{
  "name": "lvgl-designer",
  "version": "1.0.0",
  "description": "An Electron application with Vue and TypeScript",
  "main": "./out/main/index.js",
  "author": "example.com",
  "homepage": "https://electron-vite.org",
  "scripts": {
    "format": "prettier --write .",
    "lint": "eslint --cache .",
    "typecheck:node": "tsc --noEmit -p tsconfig.node.json --composite false",
    "typecheck:web": "vue-tsc --noEmit -p tsconfig.web.json --composite false",
    "typecheck": "npm run typecheck:node && npm run typecheck:web",
    "start": "electron-vite preview",
    "dev": "electron-vite dev",
    "build": "npm run typecheck && electron-vite build",
    "postinstall": "electron-builder install-app-deps",
    "build:unpack": "npm run build && electron-builder --dir",
    "build:win": "npm run build && electron-builder --win",
    "build:mac": "npm run build && electron-builder --mac",
    "build:linux": "npm run build && electron-builder --linux"
  },
  "dependencies": {
    "@electron-toolkit/preload": "^3.0.2",
    "@electron-toolkit/utils": "^4.0.0",
    "@lottiefiles/dotlottie-vue": "^0.9.5",
    "@types/fs-extra": "^11.0.4",
    "@vueuse/components": "^14.0.0",
    "@vueuse/core": "^14.0.0",
    "@zumer/snapdom": "^2.0.2",
    "barcode": "^0.1.0",
    "deep-diff": "^1.0.2",
    "element-plus": "^2.11.4",
    "fs-extra": "^11.3.2",
    "idb": "^8.0.3",
    "image-size": "^2.0.2",
    "klona": "^2.0.6",
    "lodash-es": "^4.17.22",
    "monaco-editor": "^0.54.0",
    "normalize.css": "^8.0.1",
    "pinia": "^3.0.3",
    "qrcode": "^1.5.4",
    "reka-ui": "^2.6.0",
    "simple-mind-map": "0.14.0-fix.1",
    "uuid": "^13.0.0",
    "vue-hooks-plus": "^2.4.1",
    "vue-i18n": "^11.1.12",
    "vue-icons-plus": "^0.1.8",
    "vue-router": "^4.6.3",
    "vue3-colorpicker": "^2.3.0",
    "vue3-moveable": "^0.28.0"
  },
  "devDependencies": {
    "@electron-toolkit/eslint-config-prettier": "3.0.0",
    "@electron-toolkit/eslint-config-ts": "^3.1.0",
    "@electron-toolkit/tsconfig": "^2.0.0",
    "@types/node": "^22.18.6",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vitejs/plugin-vue-jsx": "^5.1.2",
    "electron": "^38.1.2",
    "electron-builder": "^25.1.8",
    "electron-vite": "^4.0.1",
    "eslint": "^9.36.0",
    "eslint-plugin-vue": "^10.4.0",
    "less": "^4.4.2",
    "less-loader": "^12.3.0",
    "prettier": "^3.6.2",
    "typescript": "^5.9.2",
    "unocss": "^66.5.4",
    "unplugin-auto-import": "^20.2.0",
    "unplugin-vue-components": "^30.0.0",
    "vite": "^7.1.6",
    "vite-plugin-app-loading": "^0.4.0",
    "vite-plugin-monaco-editor": "^1.1.0",
    "vue": "^3.5.21",
    "vue-eslint-parser": "^10.2.0",
    "vue-tsc": "^3.0.7"
  },
  "pnpm": {
    "onlyBuiltDependencies": [
      "electron",
      "esbuild"
    ]
  }
}
